Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class HalftoningArrange

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableArrangeBase
              de.grogra.blocks.arrangeBlock.HalftoningArrange

All Implemented Interfaces:
  ArrangeMethod, Manageable, Shareable

    public class HalftoningArrange

extends ShareableArrangeBase
implements ArrangeMethod

Nested Class Summary
`static class` | `HalftoningArrange.Type`

Field Summary
`static HalftoningArrange.Type` | `$TYPE`
`static SCOType.Field` | `maxThreshold$FIELD`
`static SCOType.Field` | `method$FIELD`
`static SCOType.Field` | `threshold$FIELD`

Fields inherited from class de.grogra.blocks.arrangeBlock.ShareableArrangeBase
`densityField, MAX_NUMBER, maxF, maxX, maxXHalbe, maxY, maxYHalbe, prozent, seed, superNumber, xx, yy`

Constructor Summary
`HalftoningArrange()`

Method Summary
`void` | `calculate()`
`ManageableType` | `getManageableType()`
`float` | `getMaxThreshold()`
`int` | `getMethod()`
`float` | `getThreshold()`
`void` | `setMaxThreshold(float value)`
`void` | `setMethod(int value)`
`void` | `setThreshold(float value)`

Methods inherited from class de.grogra.blocks.arrangeBlock.ShareableArrangeBase
`copyField, getXx, getYy, setAll, setNumber`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.blocks.arrangeBlock.ArrangeMethod
`getXx, getYy`

Field Detail

### $TYPE

    public static final HalftoningArrange.Type $TYPE

### maxThreshold$FIELD

    public static final SCOType.Field maxThreshold$FIELD

### method$FIELD

    public static final SCOType.Field method$FIELD

### threshold$FIELD

    public static final SCOType.Field threshold$FIELD

Constructor Detail

### HalftoningArrange

    public HalftoningArrange()

Method Detail

### calculate

    public void calculate()

  Specified by:
    `calculate` in class `ShareableArrangeBase`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getMaxThreshold

    public float getMaxThreshold()

### getMethod

    public int getMethod()

### getThreshold

    public float getThreshold()

### setMaxThreshold

    public void setMaxThreshold(float value)

### setMethod

    public void setMethod(int value)

### setThreshold

    public void setThreshold(float value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD